[tool.poetry]
name = "candk"
# !!!-- don't forget to also change the version number in ketchup/base.py --!!!
version = "2.5.0"
description = "Simple text parsing and markup for language-independent source code documentation"
authors = ["Charlie Koch <charles@cerrax.com>"]
license = "BSD-2-Clause"
readme = "pypi_doc.md"
packages = [{ include = "candk", from = "src" }]

[tool.poetry.urls]
Homepage = "http://cerrax.com"
Documentation = "https://www.cerrax.com/docs/candk.html"
Repository = "https://gitlab.com/charles.w.koch/corndog-ketchup"
#Issues = "https://github.com/me/spam/issues"
#Changelog = "https://github.com/me/spam/blob/master/CHANGELOG.md"

[tool.poetry.dependencies]
python = "^3.9"

[tool.poetry.scripts]
candk = 'candk.candk:main'
corndog = 'candk.corndog:main'
ketchup = 'candk.ketchup:main'

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
